library(readxl)


####Data 

habitats<-read_excel("traits_final.xlsx")


####
#Habit a

xihabit_a<-as.data.frame(habitats)
xihabit_a<-xihabit_a[,c(4,5)]
xihabit_a<-na.omit(xihabit_a)
table(xihabit_a)

xihabit_a <- matrix(c(296,433, 65,964), nrow = 2, ncol = 2, byrow = TRUE,
                 dimnames = list(c("epi", "terrswa"),
                                 c("green", "nongreen")))
chisq.test(xihabit_a)
#X-squared = 305.31, df = 1, p-value < 2.2e-16


##
#Habit b
xihabit_b<-as.data.frame(habitats)
xihabit_b<-xihabit_b[,c(4,6)]
xihabit_b<-na.omit(xihabit_b)
table(xihabit_b)

xihabit_b <- matrix(c(315,446, 46,951), nrow = 2, ncol = 2, byrow = TRUE,
                 dimnames = list(c("episwa", "terr"),
                                 c("green", "nongreen")))
chisq.test(xihabit_b)
#X-squared = 355.51, df = 1, p-value < 2.2e-16

#Habit c

xihabit_c<-as.data.frame(habitats)
xihabit_c<-xihabit_c[,c(4,7)]
xihabit_c<-na.omit(xihabit_c)
table(xihabit_c)

xihabit_c <- matrix(c(19,13,46,951), nrow = 2, ncol = 2, byrow = TRUE,
                 dimnames = list(c("swa", "terr"),
                                 c("green", "nongreen")))
chisq.test(xihabit_c,simulate.p.value = T)

#X-squared = 157.11, df = NA, p-value = 0.0004998

#Habit d

xihabit_d<-as.data.frame(habitats)
xihabit_d<-xihabit_d[,c(4,8)]
xihabit_d<-na.omit(xihabit_d)
table(xihabit_d)

xihabit_d <- matrix(c(296,433, 46,951), nrow = 2, ncol = 2, byrow = TRUE,
                 dimnames = list(c("epi", "terr"),
                                 c("green", "nongreen")))
chisq.test(xihabit_d)
#X-squared = 341.03, df = 1, p-value < 2.2e-16


############################
############################
##################mycorrhiza

#habit a
ximyco_a<-as.data.frame(habitats)
ximyco_a<-ximyco_a[,c(9,5)]
ximyco_a<-na.omit(ximyco_a)
table(ximyco_a)

#matrix(c(61,169,349,117)
ximyco_a <- matrix(c(59,169,357,116), nrow = 2, ncol = 2, byrow = TRUE,
                  dimnames = list(c("epi", "terrswa"),
                                  c("myco", "nomyco")))
chisq.test(ximyco_a)
#X-squared = 154.81, df = 1, p-value < 2.2e-16

#
ximyco_b<-as.data.frame(habitats)
ximyco_b<-ximyco_b[,c(9,6)]
ximyco_b<-na.omit(ximyco_b)
table(ximyco_b)

ximyco_b <- matrix(c(72,179,345,106), nrow = 2, ncol = 2, byrow = TRUE,
                   dimnames = list(c("episwa", "terres"),
                                   c("myco", "nomyco")))
chisq.test(ximyco_b)
#X-squared = 150.88, df = 1, p-value < 2.2e-16


#
ximyco_c<-as.data.frame(habitats)
ximyco_c<-ximyco_c[,c(9,7)]
ximyco_c<-na.omit(ximyco_c)
table(ximyco_c)


#matrix(c(13,10,348,107)
ximyco_c <- matrix(c(13,10,345,106), nrow = 2, ncol = 2, byrow = TRUE,
                   dimnames = list(c("swamp", "terrest"),
                                   c("myco", "nomyco")))
chisq.test(ximyco_c)
#X-squared = 3.7012, df = 1, p-value = 0.05437

#
ximyco_d<-as.data.frame(habitats)
ximyco_d<-ximyco_d[,c(9,8)]
ximyco_d<-na.omit(ximyco_d)
table(ximyco_d)

ximyco_d<- matrix(c(59,169,345,106), nrow = 2, ncol = 2, byrow = TRUE,
                  dimnames = list(c("epi", "terr"),
                                  c("myco", "nomyco")))
chisq.test(ximyco_d)
#X-squared = 158.93, df = 1, p-value < 2.2e-16


##
xisporemyco<-as.data.frame(habitats)
xisporemyco<-xisporemyco[,c(4,9)]
xisporemyco<-na.omit(xisporemyco)
table(xisporemyco)

xisporemyco <- matrix(c(27,80, 198,105), nrow = 2, ncol = 2, byrow = TRUE,
               dimnames = list(c("green", "nongreen"),
                               c("myco", "nonmyco")))
chisq.test(xisporemyco)
##X-squared = 49.776, df = 1, p-value = 1.723e-12

####all extant fern spp

allextant.terr.a<- matrix(c(1079,1339,264,7765), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("epi", "terrswa"), c("green", "nongreen")))


allextant.terr.a
chisq.test(allextant.terr.a)
#X-squared = 2831, df = 1, p-value < 2.2e-16


allextant.terr.b<- matrix(c(1112,1362,231,7742), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("episwa", "terr"), c("green", "nongreen")))

allextant.terr.b

chisq.test(allextant.terr.b)
#X-squared = 2976.8, df = 1, p-value < 2.2e-16


allextant.terr.c<- matrix(c(33,23,231,7742), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("swa", "terr"), c("green", "nongreen")))

allextant.terr.c

chisq.test(allextant.terr.c)
#X-squared = 531.61, df = 1, p-value < 2.2e-16


allextant.terr.d<- matrix(c(1079,1339,231,7742), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("epi", "terr"), c("green", "nongreen")))

allextant.terr.d
chisq.test(allextant.terr.d)
#X-squared = 2928.5, df = 1, p-value < 2.2e-16
